<template>
  <div>
    <section-header>{{ label }}</section-header>
    <MasonsBase :editable="true" @on_edit="edit" @on_add="add" @on_view="view" @on_remove="remove"/>
  </div>
</template>

<script>
import MasonsBase from '@/components/MasonsBase.vue';
import SectionHeader from '@/components/SectionHeader.vue';
import axiosClient from '@/axiosClient';

export default {
  props: ['label'],
  components: {
    MasonsBase,
    SectionHeader
  },
  methods: {
    edit(id) {
      this.$router.push({ name: 'EditMason', params: { id: id } })
    },
    add(id) {
      this.$router.push({ name: 'EditMason', params: { id: 'new' } })
    },
    view(id) {
      this.$router.push({ name: 'MasonEvents', params: { id: id } })
    },
    remove(id) {
      axiosClient.delete(`/masons/${id}`)
      .then(() => {
        this.$store.commit('removeMason', id)
      })
    }
  }
}

</script>